%define upstream_name    Dist-Zilla-Plugin-NextVersion-Semantic
%define upstream_version 0.2.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Extract previous version from changelog
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Changes) >= 0.200.0
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Perl::Version)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Increases the distribution's version according to the semantic versioning
rules (see the http://semver.org/ manpage) by inspecting the changelog.

More specifically, the plugin performs the following actions:

* at build time

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.6-3.mga10
+ Revision: 2206838
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.2.6-2.mga9
+ Revision: 1814032
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 0.2.6-1.mga9
+ Revision: 1691268
- update to 0.2.6

* Wed Feb 12 2020 umeabot <umeabot> 0.2.5-5.mga8
+ Revision: 1494384
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.5-4.mga7
+ Revision: 1267546
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.5-3.mga6
+ Revision: 1026427
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.2.5-2.mga6
+ Revision: 968145
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.2.5-1.mga6
+ Revision: 851345
- update to 0.2.5

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 740859
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 670630
- update to 0.2.0

* Sat Oct 19 2013 umeabot <umeabot> 0.1.3-2.mga4
+ Revision: 530278
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 sander85 <sander85> 0.1.3-1.mga4
+ Revision: 456996
- update to 0.1.3

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 366289
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.1.0-1.mga3
+ Revision: 267244
- imported package perl-Dist-Zilla-Plugin-NextVersion-Semantic


* Mon Jul 02 2012 cpan2dist 0.1.0-1mga
- initial mageia release, generated with cpan2dist
